"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const makeMessageDialog_1 = __importDefault(require("./makeMessageDialog"));
const makeAboutDialog = (editor, entries) => {
    const dialog = (0, makeMessageDialog_1.default)(editor, {
        title: editor.localization.about,
        contentClassNames: ['about-dialog-content'],
    });
    for (const entry of entries) {
        const container = document.createElement(entry.minimized ? 'details' : 'div');
        container.classList.add('about-entry');
        const header = document.createElement(entry.minimized ? 'summary' : 'h2');
        if (typeof entry.heading === 'string') {
            header.innerText = entry.heading;
        }
        else {
            const link = document.createElement('a');
            link.href = entry.heading.href.replace(/^javascript:/i, '');
            link.text = entry.heading.text;
            header.appendChild(link);
        }
        container.appendChild(header);
        if (entry.text) {
            const bodyText = document.createElement('div');
            bodyText.innerText = entry.text;
            container.appendChild(bodyText);
        }
        dialog.appendChild(container);
    }
    return {
        close: () => {
            return dialog.close();
        },
    };
};
exports.default = makeAboutDialog;
