import { Rect2 } from '@js-draw/math';
export interface CommandLocalization {
    movedLeft: string;
    movedUp: string;
    movedDown: string;
    movedRight: string;
    rotatedBy: (degrees: number) => string;
    zoomedOut: string;
    zoomedIn: string;
    erasedNoElements: string;
    duplicatedNoElements: string;
    elements: string;
    updatedViewport: string;
    transformedElements: (elemCount: number, transformDescription: string) => string;
    resizeOutputCommand: (newSize: Rect2) => string;
    enabledAutoresizeOutputCommand: string;
    disabledAutoresizeOutputCommand: string;
    addComponentAction: (elemDescription: string) => string;
    eraseAction: (elemDescription: string, numElems: number) => string;
    duplicateAction: (elemDescription: string, count: number) => string;
    inverseOf: (actionDescription: string) => string;
    unionOf: (actionDescription: string, actionCount: number) => string;
    andNMoreCommands: (count: number) => string;
    selectedElements: (count: number) => string;
}
export declare const defaultCommandLocalization: CommandLocalization;
