import { CommandLocalization } from './commands/localization';
import { ImageComponentLocalization } from './components/localization';
import { TextRendererLocalization } from './rendering/localization';
import { ToolbarLocalization } from './toolbar/localization';
import { ToolLocalization } from './tools/localization';
export interface EditorLocalization extends ToolbarLocalization, ToolLocalization, CommandLocalization, ImageComponentLocalization, TextRendererLocalization {
    accessibilityInputInstructions: string;
    undoAnnouncement: (actionDescription: string) => string;
    redoAnnouncement: (actionDescription: string) => string;
    doneLoading: string;
    loading: (percentage: number) => string;
    imageEditor: string;
    softwareLibraries: string;
    developerInformation: string;
}
export declare const defaultEditorLocalization: EditorLocalization;
