import Editor from '../../Editor';
import { ToolbarLocalization } from '../localization';
import BaseWidget from './BaseWidget';
import HelpDisplay from '../utils/HelpDisplay';
export default class DocumentPropertiesWidget extends BaseWidget {
    private updateDropdownContent;
    constructor(editor: Editor, localizationTable?: ToolbarLocalization);
    protected getTitle(): string;
    protected createIcon(): Element;
    protected handleClick(): void;
    private dropdownUpdateQueued;
    private queueDropdownUpdate;
    private updateDropdown;
    private setBackgroundColor;
    private getBackgroundColor;
    private removeBackgroundComponents;
    /** Replace existing background components with a background of the given type. */
    private setBackgroundType;
    /** Returns the type of the topmost background component */
    private getBackgroundType;
    private updateImportExportRectSize;
    protected getHelpText(): string;
    private static idCounter;
    protected fillDropdown(dropdown: HTMLElement, helpDisplay?: HelpDisplay): boolean;
}
