import  createElement  from './createElement.mjs';
const createButton = ({ onClick, text, classList = [] } = {}) => {
    const button = createElement('button', { type: 'button' });
    if (onClick) {
        button.onclick = onClick;
    }
    if (text) {
        button.textContent = text;
    }
    for (const className of classList) {
        button.classList.add(className);
    }
    return button;
};
export default createButton;
